Skip to main content
GET
/
projects
/
{project_id}
/
player_settings
/
access_tiers
List access tiers
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 1,
    "slug": "anonymous",
    "name": "anonymous",
    "segment_limit": null,
    "ads_enabled": true,
    "intro_url": null,
    "outro_url": null
  },
  {
    "id": 2,
    "slug": "registered",
    "name": "registered",
    "segment_limit": null,
    "ads_enabled": true,
    "intro_url": null,
    "outro_url": null
  },
  {
    "id": 3,
    "slug": "subscribed",
    "name": "subscribed",
    "segment_limit": null,
    "ads_enabled": false,
    "intro_url": null,
    "outro_url": null
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

Response

200 - application/json

OK

id
integer
slug
string

Unique identifier for the object

name
string

Human readable name of the access tier

segment_limit
integer | null

Maximum number of segments allowed for playback. Null means no limit.

ads_enabled
boolean

Whether ads are enabled for this tier

intro_url
string | null

URL of the intro audio file

outro_url
string | null

URL of the outro audio file

created
string

Time at which the object was created (ISO 8601)

updated
string

Time at which the object was updated (ISO 8601)